include	clib.inc
include	conio.inc

PPROC	rsmodal, robj:dword
	.if func(rsopen,robj)
	    push dx
	    push ax
	    invoke rsevent,robj,dx::ax
	    call dlclose
	    mov ax,dx
	    or  ax,ax
	.endif
	ret
PEND	rsmodal

	END
